Bug 738165 - Pulseaudio is restarted all 7 seconds after the most recent updates
Summary: Pulseaudio is restarted all 7 seconds after the most recent updates
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 08:28 UTC by Joachim Backes
Modified: 2018-04-11 07:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 06:54:50 UTC


Attachments (Terms of Use)

Description Joachim Backes 2011-09-14 08:28:01 UTC
Description of problem:
Having sound problems after the todays (Sep 14) updates: Playing some sound stops
after 1-2 secs, and the sound control symbol in the gnome-shell title
bar disappears and appears all 7 secs.

Having a look in /var/log messages shows: 

ep 14 10:18:54 eule pulseaudio[2682]: pid.c: Daemon already running.
Sep 14 10:19:03 eule pulseaudio[2686]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:03 eule pulseaudio[2686]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:03 eule pulseaudio[2691]: pid.c: Daemon already running.
Sep 14 10:19:12 eule pulseaudio[2701]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:12 eule pulseaudio[2701]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:12 eule pulseaudio[2706]: pid.c: Daemon already running.
Sep 14 10:19:21 eule pulseaudio[2710]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:21 eule pulseaudio[2710]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:21 eule pulseaudio[2715]: pid.c: Daemon already running.
Sep 14 10:19:30 eule pulseaudio[2722]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:30 eule pulseaudio[2722]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:30 eule pulseaudio[2727]: pid.c: Daemon already running.
Sep 14 10:19:39 eule pulseaudio[2731]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:39 eule pulseaudio[2731]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:39 eule pulseaudio[2736]: pid.c: Daemon already running.
Sep 14 10:19:48 eule pulseaudio[2740]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:48 eule pulseaudio[2740]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:48 eule pulseaudio[2745]: pid.c: Daemon already running.
Sep 14 10:19:57 eule pulseaudio[2757]: pid.c: Stale PID file, overwriting.
Sep 14 10:19:57 eule pulseaudio[2757]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:19:57 eule pulseaudio[2772]: pid.c: Daemon already running.
Sep 14 10:20:06 eule pulseaudio[2802]: pid.c: Stale PID file, overwriting.
Sep 14 10:20:06 eule pulseaudio[2802]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:20:06 eule pulseaudio[2808]: pid.c: Daemon already running.
Sep 14 10:20:15 eule pulseaudio[2818]: pid.c: Stale PID file, overwriting.
Sep 14 10:20:15 eule pulseaudio[2818]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:20:15 eule pulseaudio[2823]: pid.c: Daemon already running.
Sep 14 10:20:24 eule pulseaudio[2827]: pid.c: Stale PID file, overwriting.
Sep 14 10:20:24 eule pulseaudio[2827]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:20:24 eule pulseaudio[2832]: pid.c: Daemon already running.
Sep 14 10:20:33 eule pulseaudio[2836]: pid.c: Stale PID file, overwriting.
Sep 14 10:20:33 eule pulseaudio[2836]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:20:33 eule pulseaudio[2841]: pid.c: Daemon already running.
Sep 14 10:20:42 eule pulseaudio[2845]: pid.c: Stale PID file, overwriting.
Sep 14 10:20:42 eule pulseaudio[2845]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:20:42 eule pulseaudio[2850]: pid.c: Daemon already running.
Sep 14 10:20:51 eule pulseaudio[2854]: pid.c: Stale PID file, overwriting.
Sep 14 10:20:51 eule pulseaudio[2854]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:20:51 eule pulseaudio[2859]: pid.c: Daemon already running.
Sep 14 10:21:00 eule pulseaudio[2863]: pid.c: Stale PID file, overwriting.
Sep 14 10:21:00 eule pulseaudio[2863]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:21:00 eule pulseaudio[2868]: pid.c: Daemon already running.
Sep 14 10:21:09 eule pulseaudio[2878]: pid.c: Stale PID file, overwriting.
Sep 14 10:21:09 eule pulseaudio[2878]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:21:09 eule pulseaudio[2883]: pid.c: Daemon already running.
Sep 14 10:21:18 eule pulseaudio[2887]: pid.c: Stale PID file, overwriting.
Sep 14 10:21:18 eule pulseaudio[2887]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:21:18 eule pulseaudio[2892]: pid.c: Daemon already running.
Sep 14 10:21:27 eule pulseaudio[2897]: pid.c: Stale PID file, overwriting.
Sep 14 10:21:27 eule pulseaudio[2897]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed
Sep 14 10:21:27 eule pulseaudio[2902]: pid.c: Daemon already running.
Sep 14 10:21:36 eule pulseaudio[2915]: pid.c: Stale PID file, overwriting.
Sep 14 10:21:36 eule pulseaudio[2915]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.systemd1.LoadFailed

and so on


Version-Release number of selected component (if applicable):
pulseaudio-0.9.23-1.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1.See description
2.
3.
  
Actual results:
See description

Expected results:
Sound play continously

Additional info:

MY todays updates:
Sep 14 06:58:11 Updated: 2:qemu-common-0.15.0-4.fc16.x86_64
Sep 14 06:58:13 Updated: ibus-libs-1.3.99.20110817-5.fc16.x86_64
Sep 14 06:58:14 Updated: 2:qemu-system-x86-0.15.0-4.fc16.x86_64
Sep 14 06:58:15 Updated: abrt-libs-2.0.4-5.fc16.x86_64
Sep 14 06:58:16 Updated: abrt-2.0.4-5.fc16.x86_64
Sep 14 06:58:17 Updated: abrt-gui-2.0.4-5.fc16.x86_64
Sep 14 06:58:18 Updated: abrt-addon-kerneloops-2.0.4-5.fc16.x86_64
Sep 14 06:58:18 Updated: abrt-addon-python-2.0.4-5.fc16.x86_64
Sep 14 06:58:24 Updated: abrt-addon-ccpp-2.0.4-5.fc16.x86_64
Sep 14 06:58:25 Updated: ibus-gtk2-1.3.99.20110817-5.fc16.x86_64
Sep 14 06:58:25 Updated: ibus-gtk3-1.3.99.20110817-5.fc16.x86_64
Sep 14 06:58:34 Updated: ibus-1.3.99.20110817-5.fc16.x86_64
Sep 14 06:58:35 Updated: 2:qemu-system-arm-0.15.0-4.fc16.x86_64
Sep 14 06:58:37 Updated: 2:qemu-system-mips-0.15.0-4.fc16.x86_64
Sep 14 06:58:37 Updated: 2:qemu-system-m68k-0.15.0-4.fc16.x86_64
Sep 14 06:58:39 Updated: 2:qemu-system-sh4-0.15.0-4.fc16.x86_64
Sep 14 06:58:39 Updated: 2:qemu-system-cris-0.15.0-4.fc16.x86_64
Sep 14 06:58:41 Updated: 2:qemu-user-0.15.0-4.fc16.x86_64
Sep 14 06:58:44 Updated: selinux-policy-3.10.0-28.fc16.noarch
Sep 14 06:58:44 Updated: 2:qemu-img-0.15.0-4.fc16.x86_64
Sep 14 06:58:45 Updated: 2:qemu-0.15.0-4.fc16.x86_64
Sep 14 06:58:48 Updated: selinux-policy-targeted-3.10.0-28.fc16.noarch
Sep 14 06:58:48 Updated: abrt-desktop-2.0.4-5.fc16.x86_64
Sep 14 06:58:48 Updated: 2:qemu-kvm-0.15.0-4.fc16.x86_64
Sep 14 06:58:49 Updated: btrfs-progs-0.19-16.fc16.x86_64
Sep 14 06:58:49 Updated: 2:qemu-kvm-tools-0.15.0-4.fc16.x86_64
Sep 14 06:58:50 Updated: xorg-x11-drv-qxl-0.0.21-5.fc16.x86_64
Sep 14 06:58:50 Updated: lldpad-0.9.43-3.fc16.x86_64
Sep 14 06:58:51 Updated: openconnect-3.12-1.fc16.x86_64

Comment 1 Joachim Backes 2011-09-14 13:00:08 UTC
The running kernel is: kernel-3.1.0-0.rc5.git0.0.fc16.x86_64. By downgrading to kernel-3.1.0-0.rc4.git0.0.fc16.x86_64, I got rid of these problems.

Thanks to Matej Cepl <mcepl@redhat.com> who gave me the advice to downgrade the kernel.

Comment 2 Mads Kiilerich 2011-09-14 13:17:46 UTC
Can you upload your dmesg with the failing kernel? (run "dmesg > dmesg" and upload the file)

(There is a rc6 kernel in koji, but I think it will show the same issue.)

Comment 3 Joachim Backes 2011-09-14 13:45:23 UTC
In the meantime I installed rc6 from bodhi, and I got rid from this problem too :-) So I think there is no need to upload the messages from rc5.

Comment 4 Matěj Cepl 2011-09-15 05:53:23 UTC
Yes, rc6 helps. Thank you. I guess this could be closed.


Note You need to log in before you can comment on or make changes to this bug.